<?php
// functions
if ( ! function_exists( 'print_rs' ) ) {
	function print_rs( $content = '', $subject = null ) {
		if ( $subject ) {
			echo '<strong>' . $subject . '</strong><br>';
		}

		echo '<pre>';
		print_r( $content );
		echo '</pre>';
	}
}

if ( ! function_exists( 'siget' ) ) {
	function siget( $name, $default = '', $array = null ) {
		if ( ! isset( $array ) ) {
			$array = $_GET;
		}

		if ( ! is_array( $array ) ) {
			return $default;
		}

		if ( isset( $array[ $name ] ) ) {
			return $array[ $name ];
		}

		return $default;
	}
}

if ( ! function_exists( 'sipost' ) ) {
	function sipost( $name, $default = '', $do_stripslashes = true ) {
		if ( isset( $_POST[ $name ] ) ) {
			return $do_stripslashes && function_exists( 'stripslashes_deep' ) ? stripslashes_deep( $_POST[ $name ] ) : $_POST[ $name ];
		}

		return $default;
	}
}

if ( ! function_exists( 'siar' ) ) {
	function siar( $array, $name, $default = '' ) {
		if ( ! is_array( $array ) && ! ( is_object( $array ) && $array instanceof ArrayAccess ) ) {
			return $default;
		}

		if ( isset( $array[ $name ] ) ) {
			return $array[ $name ];
		}

		return $default;
	}
}

if ( ! function_exists( 'siars' ) ) {
	function siars( $array, $name, $default = '' ) {
		if ( ! is_array( $array ) && ! ( is_object( $array ) && $array instanceof ArrayAccess ) ) {
			return $default;
		}

		$names = explode( '/', $name );
		$value = $array;

		foreach ( $names as $current_name ) {
			$value = siar( $value, $current_name, $default );
		}

		return $value;
	}
}

if ( ! function_exists( 'siempty' ) ) {
	function siempty( $name, $array = null ) {
		if ( is_array( $name ) ) {
			return empty( $name );
		}

		if ( ! $array ) {
			$array = $_POST;
		}

		$value = siar( $array, $name );

		return empty( $value );
	}
}

if ( ! function_exists( 'siblank' ) ) {
	function siblank( $value ) {
		return is_array( $value ) ? empty( $value ) : ( empty( $value ) && strval( $value ) != '0' );
	}
}

if ( ! function_exists( 'siobj' ) ) {
	function siobj( $object, $name, $default = '' ) {
		if ( isset( $object->$name ) ) {
			return $object->$name;
		}

		return $default;
	}
}

if ( ! function_exists( 'siexplode' ) ) {
	function siexplode( $sep, $string, $count ) {
		$array = explode( $sep, $string );
		while ( count( $array ) < $count ) {
			$array[] = '';
		}

		return $array;
	}
}
