<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

class WPS_WC_Autoresponder_iContact {

	protected static $instance;

	public function __construct() {
		// Load lib
		require_once WPS_WOOCOMMERCE_AUTORESPONDER_DIR . '/includes/autoresponders/icontact/iContactApi.php';
		require_once WPS_WOOCOMMERCE_AUTORESPONDER_DIR . '/includes/autoresponders/icontact/iContactProApi.php';
	}

	public function get_lists() {
		try {
			// Using Pro?
			if ( 'yes' === get_option( 'wps_wc_autoresponder_icontact_pro', 'no' ) && get_option( 'wps_wc_autoresponder_icontact_company_id', '' ) && get_option( 'wps_wc_autoresponder_icontact_profile_id', '' ) ) {
				if ( ! defined( 'ICP_NOVERIFY' ) ) {
					define( 'ICP_NOVERIFY', true );
				}

				// Store the singleton
				$oiCP = iContactProApi::getInstance();

				// Give the API your information
				$oiCP->setConfig(
					array(
						'appId'       => get_option( 'wps_wc_autoresponder_icontact_api_app_id', '' ),
						'apiUsername' => get_option( 'wps_wc_autoresponder_icontact_api_username', '' ),
						'apiPassword' => get_option( 'wps_wc_autoresponder_icontact_api_password', '' ),
						'companyId'   => get_option( 'wps_wc_autoresponder_icontact_company_id', '' ),
						'profileId'   => get_option( 'wps_wc_autoresponder_icontact_profile_id', '' ),
					)
				);

				$ic_lists = $oiCP->getLists();
			} else {
				if ( ! defined( 'ICONTACT_APPID' ) ) {
					define( 'ICONTACT_APPID', '' );
				}

				if ( ! defined( 'ICONTACT_APIUSERNAME' ) ) {
					define( 'ICONTACT_APIUSERNAME', '' );
				}

				if ( ! defined( 'ICONTACT_APIPASSWORD' ) ) {
					define( 'ICONTACT_APIPASSWORD', '' );
				}

				// Store the singleton
				$oiContact = iContactApi::getInstance();

				// Give the API your information
				$oiContact->setConfig(
					array(
						'appId'       => get_option( 'wps_wc_autoresponder_icontact_api_app_id', '' ),
						'apiUsername' => get_option( 'wps_wc_autoresponder_icontact_api_username', '' ),
						'apiPassword' => get_option( 'wps_wc_autoresponder_icontact_api_password', '' ),
					)
				);

				$ic_lists = $oiContact->getLists();
			}

			$lists = array();

			if ( $ic_lists ) {
				foreach ( $ic_lists as $list ) {
					$lists[ $list->listId ] = $list->name;
				}
			} else {
				return false;
			}

			return $lists;
		} catch ( Exception $e ) {
			// ERROR
			return false;
		}

		return false;
	}

	public function subscribe( $list_id, $email, $args = array() ) {
		WPS_WooCommerce_Autoresponder()->log( array( __METHOD__, func_get_args() ) );

		try {
			// Using Pro?
			if ( 'yes' === get_option( 'wps_wc_autoresponder_icontact_pro', 'no' ) && get_option( 'wps_wc_autoresponder_icontact_company_id', '' ) && get_option( 'wps_wc_autoresponder_icontact_profile_id', '' ) ) {
				if ( ! defined( 'ICP_NOVERIFY' ) ) {
					define( 'ICP_NOVERIFY', true );
				}

				// Store the singleton
				$oiCP = iContactProApi::getInstance();

				// Give the API your information
				$oiCP->setConfig(
					array(
						'appId'       => get_option( 'wps_wc_autoresponder_icontact_api_app_id', '' ),
						'apiUsername' => get_option( 'wps_wc_autoresponder_icontact_api_username', '' ),
						'apiPassword' => get_option( 'wps_wc_autoresponder_icontact_api_password', '' ),
						'companyId'   => get_option( 'wps_wc_autoresponder_icontact_company_id', '' ),
						'profileId'   => get_option( 'wps_wc_autoresponder_icontact_profile_id', '' ),
					)
				);

				$contact = $oiCP->addContact( $email, 'normal', '', siar( $args, 'first_name' ), siar( $args, 'last_name' ) );

				if ( $contact && is_object( $contact ) ) {
					$subscribed = $oiCP->subscribeContactToList( $contactid->contactId, $list_id );
				}

				return isset( $subscribed ) && $subscribed;
			} else {
				// Store the singleton
				$oiContact = iContactApi::getInstance();

				// Give the API your information
				$oiContact->setConfig(
					array(
						'appId'       => get_option( 'wps_wc_autoresponder_icontact_api_app_id', '' ),
						'apiUsername' => get_option( 'wps_wc_autoresponder_icontact_api_username', '' ),
						'apiPassword' => get_option( 'wps_wc_autoresponder_icontact_api_password', '' ),
					)
				);

				$contact = $oiContact->addContact( $email, 'normal', '', siar( $args, 'first_name' ), siar( $args, 'last_name' ) );

				if ( $contact && is_object( $contact ) ) {
					$subscribed = $oiContact->subscribeContactToList( $contact->contactId, $list_id );
				}

				return isset( $subscribed ) && $subscribed;
			}

			return false;
		} catch ( Exception $e ) {
			// ERROR
			return false;
		}

		return false;
	}

	public static function get_instance() {
		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}

		return self::$instance;
	}
}

function WPS_WC_Autoresponder_iContact() {
	return WPS_WC_Autoresponder_iContact::get_instance();
}
