<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

class WPS_WC_Autoresponder_Infusionsoft {

	protected static $instance;

	public function __construct() {
		// Load lib
		require_once WPS_WOOCOMMERCE_AUTORESPONDER_DIR . '/includes/autoresponders/infusionsoft/isdk.php';
	}

	public function get_lists() {
		try {
			$app = new iSDK();

			$lists = array();

			if ( $app->cfgCon( get_option( 'wps_wc_autoresponder_infusionsoft_application_name', '' ), get_option( 'wps_wc_autoresponder_infusionsoft_api_key', '' ) ) ) {
				$returnFields = array( 'Id', 'Name' );
				$query        = array( 'Id' => '%' );
				$lists        = $app->dsQuery( 'Campaign', 1000, 0, $query, $returnFields );

				if ( $lists && is_array( $lists ) ) {
					foreach ( $lists as $list ) {
						if ( siar( $list, 'Id' ) ) {
							$lists[ siar( $list, 'Id' ) ] = siar( $list, 'Name' );
						}
					}
				}
			}

			return $lists;
		} catch ( Exception $e ) {
			// ERROR
			return false;
		}

		return false;
	}

	public function subscribe( $list_id, $email, $args = array() ) {
		WPS_WooCommerce_Autoresponder()->log( array( __METHOD__, func_get_args() ) );

		try {
			$app = new iSDK();

			if ( $app->cfgCon( get_option( 'wps_wc_autoresponder_infusionsoft_application_name', '' ), get_option( 'wps_wc_autoresponder_infusionsoft_api_key', '' ) ) ) {
				$contactid = $app->addCon(
					array(
						'FirstName' => siar( $args, 'first_name' ),
						'LastName'  => siar( $args, 'last_name' ),
						'Email'     => $email,
					)
				);

				if ( $contactid ) {
					$result = $app->campAssign( $contactid, $list_id );
				}

				return $contactid && isset( $result ) && $result;
			}

			return false;
		} catch ( Exception $e ) {
			// ERROR
			return false;
		}

		return false;
	}

	public static function get_instance() {
		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}

		return self::$instance;
	}
}

function WPS_WC_Autoresponder_Infusionsoft() {
	return WPS_WC_Autoresponder_Infusionsoft::get_instance();
}
