<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

class WPS_WC_Autoresponder_Send_Reach_Legacy {

	protected static $instance;

	public function __construct() {

	}

	public function get_lists() {
		try {
			$sendreach_url = add_query_arg(
				array(
					'key'    => urlencode( get_option( 'wps_wc_autoresponder_send_reach_api_key', '' ) ),
					'secret' => urlencode( get_option( 'wps_wc_autoresponder_send_reach_api_secret', '' ) ),
					'action' => 'lists_view',
				),
				'http://api.sendreach.com/index.php'
			);

			$curl = curl_init( $sendreach_url );
			curl_setopt( $curl, CURLOPT_POST, 0 );
			curl_setopt( $curl, CURLOPT_TIMEOUT, 10 );
			curl_setopt( $curl, CURLOPT_RETURNTRANSFER, 1 );
			curl_setopt( $curl, CURLOPT_FORBID_REUSE, 1 );
			curl_setopt( $curl, CURLOPT_FRESH_CONNECT, 1 );
			curl_setopt( $curl, CURLOPT_FOLLOWLOCATION, 1 );

			$response = curl_exec( $curl );
			curl_close( $curl );

			$result = $response ? json_decode( $response, true ) : false;

			$lists = array();

			if ( $result ) {
				foreach ( $result as $list ) {
					if ( siar( $list, 'id' ) && siar( $list, 'list_name' ) ) {
						$lists[ $list['id'] ] = $list['list_name'];
					}
				}
			}
		} catch ( Exception $e ) {
			// ERROR
			return false;
		}

		return false;
	}

	public function subscribe( $list_id, $email, $args = array() ) {
		WPS_WooCommerce_Autoresponder()->log( array( __METHOD__, func_get_args() ) );

		try {
			$sendreach_url = add_query_arg(
				array(
					'key'        => urlencode( get_option( 'wps_wc_autoresponder_send_reach_api_key', '' ) ),
					'secret'     => urlencode( get_option( 'wps_wc_autoresponder_send_reach_api_secret', '' ) ),
					'action'     => 'subscriber_add',
					'user_id'    => urlencode( get_option( 'wps_wc_autoresponder_send_reach_user_id', '' ) ),
					'list_id'    => urlencode( $list_id ),
					'first_name' => urlencode( siar( $args, 'first_name' ) ),
					'last_name'  => urlencode( siar( $args, 'last_name' ) ),
					'email'      => urlencode( $email ),
					'client_ip'  => urlencode( $_SERVER['REMOTE_ADDR'] ),
				),
				'http://api.sendreach.com/index.php'
			);

			$curl = curl_init( $sendreach_url );
			curl_setopt( $curl, CURLOPT_POST, 0 );
			curl_setopt( $curl, CURLOPT_TIMEOUT, 10 );
			curl_setopt( $curl, CURLOPT_RETURNTRANSFER, 1 );
			curl_setopt( $curl, CURLOPT_FORBID_REUSE, 1 );
			curl_setopt( $curl, CURLOPT_FRESH_CONNECT, 1 );
			curl_setopt( $curl, CURLOPT_FOLLOWLOCATION, 1 );

			$response = curl_exec( $curl );
			curl_close( $curl );

			return isset( $response ) && $response;
		} catch ( Exception $e ) {
			// ERROR
			return false;
		}

		return false;
	}

	public static function get_instance() {
		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}

		return self::$instance;
	}
}

function WPS_WC_Autoresponder_Send_Reach_Legacy() {
	return WPS_WC_Autoresponder_Send_Reach_Legacy::get_instance();
}
