<div class="panel-wrap">
	<div class="panel woocommerce_options_panel">
		<div class="options_group">
			<?php
			woocommerce_wp_checkbox(
				array(
					'id'          => 'wps_wc_autoresponder_product_enable',
					'label'       => esc_html__( 'Enable/Disable', 'wps-woocommerce-autoresponder' ),
					'description' => esc_html__( 'Enable WooCommerce Autoresponder', 'wps-woocommerce-autoresponder' ),
					'value'       => wc_bool_to_string( get_post_meta( $post->ID, 'wps_wc_autoresponder_product_enable', true ) ),
				)
			);
			?>
		</div>

		<div class="options_group show_if_wc_autoponder <?php echo get_post_meta( $post->ID, 'wps_wc_autoresponder_product_enable', true ) ? '' : 'hidden'; ?>">
			<?php
			woocommerce_wp_select(
				array(
					'id'      => 'wps_wc_autoresponder_product_subscribe_upon',
					'label'   => esc_html__( 'Subscribe customers upon', 'wps-woocommerce-autoresponder' ),
					'options' => array(
						'order_created'    => esc_html__( 'Order created (Before Payment)', 'wps-woocommerce-autoresponder' ),
						'payment_complete' => esc_html__( 'Payment completed', 'wps-woocommerce-autoresponder' ),
						'order_processing' => esc_html__( 'Order processing', 'wps-woocommerce-autoresponder' ),
						'order_completed'  => esc_html__( 'Order completed', 'wps-woocommerce-autoresponder' ),
					),
				)
			);

			$opt_in_field = get_post_meta( $post->ID, 'wps_wc_autoresponder_product_opt_in_field', true );
			$opt_in_field = ! empty( $opt_in_field ) ? $opt_in_field : 'no';

			woocommerce_wp_radio(
				array(
					'id'      => 'wps_wc_autoresponder_product_opt_in_field',
					'label'   => esc_html__( 'Opt-In field', 'wps-woocommerce-autoresponder' ),
					'options' => array(
						'no'  => esc_html__( 'No, do not display the opt-in field, this will subscribe to the customer to list(s) without confirmation', 'wps-woocommerce-autoresponder' ),
						'yes' => esc_html__( 'Yes, display the opt-in field (confirmation checkbox in checkout order page), this will subscribe to customers only if they confirm the opt-in field', 'wps-woocommerce-autoresponder' ),
					),
					'value'   => $opt_in_field,
				)
			);

			$opt_in_label = get_post_meta( $post->ID, 'wps_wc_autoresponder_product_opt_in_label', true );
			$opt_in_label = ! empty( $opt_in_label ) ? $opt_in_label : esc_html__( 'Subscribe to the newsletter', 'wps-woocommerce-autoresponder' );

			woocommerce_wp_text_input(
				array(
					'id'            => 'wps_wc_autoresponder_product_opt_in_label',
					'label'         => esc_html__( 'Opt-In field label', 'wps-woocommerce-autoresponder' ),
					'value'         => $opt_in_label,
					'desc_tip'      => true,
					'description'   => esc_html__( 'Opt-In field label displayed next to the opt-in checkbox in checkout form', 'wps-woocommerce-autoresponder' ),
					'wrapper_class' => 'show_if_opt_in_field ' . ( $opt_in_field === 'no' ? 'hidden' : '' ),
				)
			);

			woocommerce_wp_select(
				array(
					'id'            => 'wps_wc_autoresponder_product_opt_in_place',
					'label'         => esc_html__( 'Opt-In field placement', 'wps-woocommerce-autoresponder' ),
					'type'          => 'select',
					'options'       => array(
						'billing' => esc_html__( 'Inside billing fields', 'wps-woocommerce-autoresponder' ),
						'order'   => esc_html__( 'Inside additional fields', 'wps-woocommerce-autoresponder' ),
					),
					'wrapper_class' => 'show_if_opt_in_field ' . ( $opt_in_field === 'no' ? 'hidden' : '' ),
				)
			);

			woocommerce_wp_checkbox(
				array(
					'id'            => 'wps_wc_autoresponder_product_opt_in_checked',
					'label'         => esc_html__( 'Opt-In checkbox value', 'wps-woocommerce-autoresponder' ),
					'description'   => esc_html__( 'Enable this to the opt-in checkbox field checked by default', 'wps-woocommerce-autoresponder' ),
					'value'         => wc_bool_to_string( get_post_meta( $post->ID, 'wps_wc_autoresponder_product_opt_in_checked', true ) ),
					'wrapper_class' => 'show_if_opt_in_field ' . ( $opt_in_field === 'no' ? 'hidden' : '' ),
				)
			);
			?>
		</div>

		<div class="options_group show_if_wc_autoponder <?php echo get_post_meta( $post->ID, 'wps_wc_autoresponder_product_enable', true ) ? '' : 'hidden'; ?>">
			<?php
			if ( 'yes' === get_option( 'wps_wc_autoresponder_mailchimp_is_connected', 'no' ) && 'yes' === get_option( 'wps_wc_autoresponder_mailchimp_enable', 'no' ) ) {
				$mailchimp_lists = get_option( 'wps_wc_autoresponder_mailchimp_lists', array() );
				$mailchimp_lists = array( '' => esc_html__( '-- Select list --', 'wps-woocommerce-autoresponder' ) ) + (array) $mailchimp_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_mailchimp_list',
						'label'   => esc_html__( 'Mailchimp list', 'wps-woocommerce-autoresponder' ),
						'options' => $mailchimp_lists,
					)
				);

				woocommerce_wp_text_input(
					array(
						'id'          => 'wps_wc_autoresponder_product_mailchimp_tags',
						'label'       => esc_html__( 'Mailchimp tags', 'wps-woocommerce-autoresponder' ),
						'desc_tip'    => true,
						'description' => esc_html__( 'If you want multiple tags then enter comma-separated values.', 'wps-woocommerce-autoresponder' ),
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_aweber_enable', 'no' ) && 'yes' === get_option( 'wps_wc_autoresponder_aweber_is_connected', 'no' ) ) {
				$aweber_lists = get_option( 'wps_wc_autoresponder_aweber_lists', array() );
				$aweber_lists = array( '' => esc_html__( '-- Select list --', 'wps-woocommerce-autoresponder' ) ) + (array) $aweber_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_aweber_list',
						'label'   => esc_html__( 'Aweber list', 'wps-woocommerce-autoresponder' ),
						'options' => $aweber_lists,
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_getresponse_is_connected', 'no' ) && 'yes' === get_option( 'wps_wc_autoresponder_getresponse_enable', 'no' ) ) {
				$getresponse_lists = get_option( 'wps_wc_autoresponder_getresponse_lists', array() );
				$getresponse_lists = array( '' => esc_html__( '-- Select campaign --', 'wps-woocommerce-autoresponder' ) ) + (array) $getresponse_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_getresponse_list',
						'label'   => esc_html__( 'GetResponse campaign', 'wps-woocommerce-autoresponder' ),
						'options' => $getresponse_lists,
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_icontact_enable', 'no' ) && 'yes' === get_option( 'wps_wc_autoresponder_icontact_is_connected', 'no' ) ) {
				$icontact_lists = get_option( 'wps_wc_autoresponder_icontact_lists', array() );
				$icontact_lists = array( '' => esc_html__( '-- Select list --', 'wps-woocommerce-autoresponder' ) ) + (array) $icontact_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_icontact_list',
						'label'   => esc_html__( 'iContact list', 'wps-woocommerce-autoresponder' ),
						'options' => $icontact_lists,
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_infusionsoft_enable', 'no' ) && 'yes' === get_option( 'wps_wc_autoresponder_infusionsoft_is_connected', 'no' ) ) {
				$infusionsoft_lists = get_option( 'wps_wc_autoresponder_infusionsoft_lists', array() );
				$infusionsoft_lists = array( '' => esc_html__( '-- Select campaign --', 'wps-woocommerce-autoresponder' ) ) + (array) $infusionsoft_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_infusionsoft_list',
						'label'   => esc_html__( 'Infusionsoft campaign', 'wps-woocommerce-autoresponder' ),
						'options' => $infusionsoft_lists,
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_constant_contact_enable', 'no' ) && 'yes' === get_option( 'wps_wc_autoresponder_constant_contact_is_connected', 'no' ) ) {
				$constant_contact_lists = get_option( 'wps_wc_autoresponder_constant_contact_lists', array() );
				$constant_contact_lists = array( '' => esc_html__( '-- Select list --', 'wps-woocommerce-autoresponder' ) ) + (array) $constant_contact_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_constant_contact_list',
						'label'   => esc_html__( 'Constant Contact list', 'wps-woocommerce-autoresponder' ),
						'options' => $constant_contact_lists,
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_campaign_monitor_enable', 'no' ) && 'yes' === get_option( 'wps_wc_autoresponder_campaign_monitor_is_connected', 'no' ) ) {
				$campaign_monitor_lists = get_option( 'wps_wc_autoresponder_campaign_monitor_lists', array() );
				$campaign_monitor_lists = array( '' => esc_html__( '-- Select list --', 'wps-woocommerce-autoresponder' ) ) + (array) $campaign_monitor_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_campaign_monitor_list',
						'label'   => esc_html__( 'Campaign Monitor list', 'wps-woocommerce-autoresponder' ),
						'options' => $campaign_monitor_lists,
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_vertical_response_enable', 'no' ) && 'yes' === get_option( 'wps_wc_autoresponder_vertical_response_is_connected', 'no' ) ) {
				$vertical_response_lists = get_option( 'wps_wc_autoresponder_vertical_response_lists', array() );
				$vertical_response_lists = array( '' => esc_html__( '-- Select list --', 'wps-woocommerce-autoresponder' ) ) + (array) $vertical_response_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_vertical_response_list',
						'label'   => esc_html__( 'VerticalResponse list', 'wps-woocommerce-autoresponder' ),
						'options' => $vertical_response_lists,
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_send_reach_enable', 'no' ) && 'yes' === get_option( 'wps_wc_autoresponder_send_reach_is_connected', 'no' ) ) {
				$send_reach_lists = get_option( 'wps_wc_autoresponder_send_reach_lists', array() );
				$send_reach_lists = array( '' => esc_html__( '-- Select list --', 'wps-woocommerce-autoresponder' ) ) + (array) $send_reach_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_send_reach_list',
						'label'   => esc_html__( 'SendReach list', 'wps-woocommerce-autoresponder' ),
						'options' => $send_reach_lists,
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_active_campaign_enable', 'no' ) && 'yes' === get_option( 'wps_wc_autoresponder_active_campaign_is_connected', 'no' ) ) {
				$active_campaign_lists = get_option( 'wps_wc_autoresponder_active_campaign_lists', array() );
				$active_campaign_lists = array( '' => esc_html__( '-- Select list --', 'wps-woocommerce-autoresponder' ) ) + (array) $active_campaign_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_active_campaign_list',
						'label'   => esc_html__( 'ActiveCampaign list', 'wps-woocommerce-autoresponder' ),
						'options' => $active_campaign_lists,
					)
				);

				woocommerce_wp_text_input(
					array(
						'id'          => 'wps_wc_autoresponder_product_active_campaign_tags',
						'label'       => esc_html__( 'ActiveCampaign tags', 'wps-woocommerce-autoresponder' ),
						'desc_tip'    => true,
						'description' => esc_html__( 'If you want multiple tags then enter comma-separated values.', 'wps-woocommerce-autoresponder' ),
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_sendinblue_enable', 'no' ) && 'yes' === get_option( 'wps_wc_autoresponder_sendinblue_is_connected', 'no' ) ) {
				$sendinblue_lists = get_option( 'wps_wc_autoresponder_sendinblue_lists', array() );
				$sendinblue_lists = array( '' => esc_html__( '-- Select list --', 'wps-woocommerce-autoresponder' ) ) + (array) $sendinblue_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_sendinblue_list',
						'label'   => esc_html__( 'Sendinblue list', 'wps-woocommerce-autoresponder' ),
						'options' => $sendinblue_lists,
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_convertkit_enable', 'no' ) && 'yes' === get_option( 'wps_wc_autoresponder_convertkit_is_connected', 'no' ) ) {
				$convertkit_lists = get_option( 'wps_wc_autoresponder_convertkit_lists', array() );
				$convertkit_lists = array( '' => esc_html__( '-- Select form --', 'wps-woocommerce-autoresponder' ) ) + (array) $convertkit_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_convertkit_list',
						'label'   => esc_html__( 'ConvertKit form', 'wps-woocommerce-autoresponder' ),
						'options' => $convertkit_lists,
					)
				);

				$convertkit_sequences = get_option( 'wps_wc_autoresponder_convertkit_sequences', array() );
				$convertkit_sequences = array( '' => esc_html__( '-- Select sequence --', 'wps-woocommerce-autoresponder' ) ) + (array) $convertkit_sequences;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_convertkit_sequence',
						'label'   => esc_html__( 'ConvertKit sequence', 'wps-woocommerce-autoresponder' ),
						'options' => $convertkit_sequences,
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_mymail_enable', 'no' ) && WPS_WC_Autoresponder_Helper()->is_mymail_support() ) {
				$mymail_lists = WPS_WC_Autoresponder_Helper()->get_mymail_data();
				$mymail_lists = array( '' => esc_html__( '-- Select list --', 'wps-woocommerce-autoresponder' ) ) + (array) $mymail_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_mymail_list',
						'label'   => esc_html__( 'MyMail list', 'wps-woocommerce-autoresponder' ),
						'options' => $mymail_lists,
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_mailster_enable', 'no' ) && WPS_WC_Autoresponder_Helper()->is_mailster_support() ) {
				$mailster_lists = WPS_WC_Autoresponder_Helper()->get_mailster_data();
				$mailster_lists = array( '' => esc_html__( '-- Select list --', 'wps-woocommerce-autoresponder' ) ) + (array) $mailster_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_mailster_list',
						'label'   => esc_html__( 'Mailster list', 'wps-woocommerce-autoresponder' ),
						'options' => $mailster_lists,
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_wysija_enable', 'no' ) && WPS_WC_Autoresponder_Helper()->is_wysija_support() ) {
				$wysija_lists = WPS_WC_Autoresponder_Helper()->get_wysija_data();
				$wysija_lists = array( '' => esc_html__( '-- Select list --', 'wps-woocommerce-autoresponder' ) ) + (array) $wysija_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_wysija_list',
						'label'   => esc_html__( 'Mailpoet (Wysija) list', 'wps-woocommerce-autoresponder' ),
						'options' => $wysija_lists,
					)
				);
			}

			if ( 'yes' === get_option( 'wps_wc_autoresponder_mailpoet_enable', 'no' ) && WPS_WC_Autoresponder_Helper()->is_mailpoet_support() ) {
				$mailpoet_lists = WPS_WC_Autoresponder_Helper()->get_mailpoet_data();
				$mailpoet_lists = array( '' => esc_html__( '-- Select list --', 'wps-woocommerce-autoresponder' ) ) + (array) $mailpoet_lists;

				woocommerce_wp_select(
					array(
						'id'      => 'wps_wc_autoresponder_product_mailpoet_list',
						'label'   => esc_html__( 'Mailpoet (v3) list', 'wps-woocommerce-autoresponder' ),
						'options' => $mailpoet_lists,
					)
				);
			}
			?>
		</div>
	</div>
</div>
